from __future__ import print_function

from sos.plugins import RedHatPlugin
from sos.policies.redhat import RedHatPolicy, OS_RELEASE
import os

class UnionTechPolicy(RedHatPolicy):

    distro = "UnionTech"
    vendor = "the UnionTech Project"
    vendor_url = "https://www.chinauos.com/"

    def __init__(self, sysroot=None):
        super(UnionTechPolicy, self).__init__(sysroot=sysroot)

    @classmethod
    def check(cls):
        """This method checks to see if we are running on UnionTechOS. It returns
        True or False."""
        try:
            with open("/etc/UnionTech-release", "r") as f:
                return "uos" in f.read()
        except IOError:
            return False
    
    def UnionTech_version(self):
       pkg = self.pkg_by_name("UnionTech-release") or \
            self.all_pkgs_by_name_regex("UnionTech-release-.*")[-1]
       return int(pkg["version"])
