from __future__ import print_function

from sos.plugins import RedHatPlugin
from sos.policies.redhat import RedHatPolicy, OS_RELEASE
import os

class OpenEulerPolicy(RedHatPolicy):

    distro = "OpenEuler"
    vendor = "the openEuler Project"
    vendor_url = "https://openeuler.org/"

    def __init__(self, sysroot=None):
        super(OpenEulerPolicy, self).__init__(sysroot=sysroot) 

    @classmethod
    def check(cls, remote=''):
        """This method checks to see if we are running on OpenEuler. It returns
        True or False."""
        if remote:
            return cls.distro in remote
        return os.path.isfile('/etc/openEuler-release')

    def openEuler_version(self):
       pkg = self.pkg_by_name("openEuler-release") or \
            self.all_pkgs_by_name_regex("openEuler-release-.*")[-1]
       return int(pkg["version"])
